## ldns 1.6.4

=== debian/changelog ===
ldns (1.6.4-5) unstable; urgency=low

  * allow installing with just one version of python (Closes: #583350)
  * add explicit call to python-support and quilt from debhelper

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Mar 2010 17:01:28 +0100

ldns (1.6.4-4) unstable; urgency=low

  * Add support for all python versions (Closes: #571494)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Mar 2010 13:29:06 +0100

ldns (1.6.4-3) unstable; urgency=low

  * Disable building with binutils-gold

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Feb 2010 14:51:07 +0100

ldns (1.6.4-2) unstable; urgency=low

  * Don't uselessly link to all libraries around

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jan 2010 22:33:05 +0100

ldns (1.6.4-1) unstable; urgency=low
   
  * New Upstream version 1.6.4
  * Bump standards version to 3.8.3
  * Enable pyldns bindings (python-pyldns package)
  * Use DESTDIR= instead of prefix= when doing 'make install'
  * Don't uselessly link to all libraries around

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jan 2010 11:39:17 +0100

ldns (1.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Ondřej Surý <ondrej@debian.org>  Sat, 24 Oct 2009 11:14:17 +0200

ldns (1.6.0-1) unstable; urgency=low

  * New Upstream Version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jul 2009 21:31:34 +0200

ldns (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Merged upstream:
    - debian/patches/01_put_ldns_library_check_to_bottom.dpatch
    - debian/patches/02_buffer_overflow_in_rr.c.dpatch

 -- Ondřej Surý <ondrej@debian.org>  Tue, 03 Mar 2009 11:53:42 +0100

ldns (1.4.0-2) unstable; urgency=low

  * Make dh_makeshlibs call versioned.
  * Cherry pick possible buffer overflow in rr.c from 1.5.x branch.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Feb 2009 17:05:45 +0100

ldns (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Merged upstream:
    - debian/patches/01_ldns-1.3.0.ldns-new-dnssec-tools.dpatch
    - debian/patches/02_ldns-1.3.0.ldns-read-zone.dpatch
    - debian/patches/03_ldns-1.3.0_hex_can_contain_space.dpatch
    - debian/patches/04_ldns-1.3.0_ldns-compare-zones.dpatch

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2008 20:33:14 +0100

ldns (1.3.0-6) unstable; urgency=low

  * Various improvements and fixes for ldns-compare-zones
    - Change opt_* from int to bool
    - Fix double zones read
    - Canonicalize and sort zones before comparing (can be disabled
      by -z)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Sep 2008 16:52:22 +0200

ldns (1.3.0-5) unstable; urgency=low

  * Reverse read order of zones to keep SOA of first zone in output

 -- Ondřej Surý <ondrej@debian.org>  Sun, 07 Sep 2008 00:58:00 +0200

ldns (1.3.0-4) unstable; urgency=low

  * Must test what I write.  Fix double free in ldns-merge-dnssec.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Sep 2008 14:56:24 +0200

ldns (1.3.0-3) unstable; urgency=low

  * Build ldns-merge-dnssec as well
  * Fix bunch of lintian warnings.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Sep 2008 14:25:27 +0200

ldns (1.3.0-2) unstable; urgency=low

  * debian/patches/01_ldns-1.3.0.ldns-new-dnssec-tools.dpatch:
    - Add two new DNSSEC related tools
  * 02_ldns-1.3.0.ldns-read-zone.dpatch:
    - Small fixups for ldns-read-zone

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Sep 2008 13:49:04 +0200

ldns (1.3.0-1) unstable; urgency=low

  * New upstream release (final 1.3.0).

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Jun 2008 17:38:34 +0200

ldns (1.2.99.pre.1.3.0.20080528-1) unstable; urgency=low

  * New upstream release candidate.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 May 2008 12:10:07 +0200

ldns (1.2.99.pre.1.3.0.20080229-2) unstable; urgency=low

  * Add correct dependencies for libldns-dev ... again
    (Closes: #454905)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 May 2008 22:16:38 +0200

ldns (1.2.99.pre.1.3.0.20080229-1) unstable; urgency=low

  * New upstream pre-release, stolen from unbound.
  * Library soname finally sane.
  * Upload to unstable to prepare for unbound upload.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 May 2008 11:27:38 +0200

ldns (1.2.99.pre.1.3.0.20080114-1) experimental; urgency=low

  * New upstream pre-release.
  * patches/03_doxygen.pl.dpatch:
    - removed, merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Feb 2008 17:23:29 +0100

ldns (1.2.99.pre.1.3.0.20071102-1) experimental; urgency=low

  * New upstream pre-release.
  * Release only to experimental.
  * patches/02_dname-off-by-one.dpatch,
    patches/05_ldns-compare-zones.dpatch:
    - removed, merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Nov 2007 10:12:05 +0100

ldns (1.2.1-2) unstable; urgency=low

  * patches/05_ldns-compare-zones.dpatch:
    - add ldns-compare-zones tool
  * debian/control:
    - build depend on libpcap-dev to allow ldns-dpa build
    - build depend on doxygen to allow documentation build (Closes: #451470)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Nov 2007 09:41:29 +0100

ldns (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #348970)
  * patches/01_doxygen-u.dpatch:
    - update doxygen configuration
  * patches/02_dname-off-by-one.dpatch:
    - Fix ldns_dname_compare
  * patches/03_doxygen.pl.dpatch:
    - Fix man section in generated man pages
  * patches/04_examples-man-pages.dpatch:
    - Fix some errors in man pages of examples

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Oct 2007 13:40:14 +0200
