=== debian/control ===
Source: ldns
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: quilt (>= 0.46-7~),
	       debhelper (>= 7.0.50~),
	       autotools-dev,
	       libssl-dev,
	       libtool,
	       libpcap-dev,
	       doxygen,
	       python-all-dev,
	       swig,
	       python-support,
	       hardening-wrapper,
	       chrpath,
	       autoconf,
	       automake
XS-Python-Version: >= 2.5
Standards-Version: 3.8.4
Section: net

Package: libldns1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains shared libraries.

Package: libldns-dev
Section: libdevel
Architecture: any
Depends: libldns1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains development libraries and headers.

Package: ldnsutils
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains various client programs related to DNS that are
 based on top of libldns library and DRILL tool which is similar to dig.
 These tools were designed with DNSSEC in mind and are useful for DNS
 and DNSSEC testing and debugging.

Package: python-ldns
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for the ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python programs.
