## ldns 1.6.6

=== debian/changelog ===
ldns (1.6.6-1) unstable; urgency=low

  * New upstream release
  * Add Changelog to debian/docs (Closes: #592437)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Aug 2010 13:06:10 +0200

ldns (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Fix _ldns.so install command

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 16:08:00 +0200

ldns (1.6.5~rc1-1) unstable; urgency=low

  * New upstream RC release
  * Updated patches to 1.6.5rc1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Jun 2010 20:23:13 +0200
