=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	       autoconf,
 	       automake
 XS-Python-Version: >= 2.5
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: net
 
 Package: libldns1
