=== debian/rules ===
--- 
+++ 
@@ -82,8 +82,8 @@
 	for v in $(PYVERS); do \
 	  PYTHON_DIR=$$(python$$v -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0);"); \
 	  make -C build-python$$v install-pyldns DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
-	  rm $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
-	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/_ldns.so.1.* $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
+	  rm -f $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
+	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/$$(readlink $(CURDIR)/build-python$$v/.libs/_ldns.so) $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
 	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
 	done
