## ldns 1.6.9

=== debian/changelog ===
ldns (1.6.9-2) unstable; urgency=low

  * Don't perform checks, because upstream target test is broken
  * Enable GOST algorithm (Closes: #620598)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Apr 2011 12:07:36 +0200

ldns (1.6.9-1) unstable; urgency=low

  * Imported Upstream version 1.6.9

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Mar 2011 13:48:47 +0100

ldns (1.6.8-1) unstable; urgency=low

  * Imported Upstream version 1.6.8

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jan 2011 15:50:09 +0100

ldns (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Jan 2011 12:13:33 +0100

ldns (1.6.6-2) unstable; urgency=high

  * Install ldns.py into python-ldns package (Closes: #609955)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Jan 2011 10:53:30 +0100
