=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 	       autotools-dev,
-	       libssl-dev,
+	       libssl-dev (>= 1.0.0),
 	       libtool,
 	       libpcap-dev,
 	       doxygen,
