=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_OPTIONS=nocheck
 
 export DEB_BUILD_HARDENING=1 
 
@@ -49,15 +51,15 @@
 	ln -sf ../debian drill/
 
 	autoreconf -fi
-	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --disable-gost --without-pyldns;
+	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --enable-gost --without-pyldns;
 	$(MAKE) copy-headers;
 	for v in $(PYVERS); do \
-	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --disable-gost --with-pyldns; \
+	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --enable-gost --with-pyldns; \
 	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
 	done
 
-	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath;)
-	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath;)
+	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
+	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
 
 override_dh_auto_build:
 	DEB_BUILD_HARDENING=1 dh_auto_build;
@@ -81,10 +83,9 @@
 
 	for v in $(PYVERS); do \
 	  PYTHON_DIR=$$(python$$v -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib(0,0);"); \
-	  make -C build-python$$v install-pyldns DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
-	  rm -f $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.la; \
-	  install -s -m 0644 -T $(CURDIR)/build-python$$v/.libs/$$(readlink $(CURDIR)/build-python$$v/.libs/_ldns.so) $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
-	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/ldns/_ldns.so; \
+	  make -C build-python$$v DESTDIR=$(CURDIR)/debian/tmp install-pyldns; \
+	  mv $(CURDIR)/debian/tmp$${PYTHON_DIR}/$$(readlink $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so) $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so; \
+	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so; \
 	done
 
 	(cd $(CURDIR)/examples; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)
