## ldns 1.6.10

=== debian/changelog ===
ldns (1.6.10-1) unstable; urgency=low

  * Link libtool to current directory in the clean target if not found
    (Closes: #623320)
  * Update Vcs-* links
  * Imported Upstream version 1.6.10

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2011 15:54:59 +0200
