=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
 	       autoconf,
 	       automake
 XS-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: net
+Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/ldns.git
+Vcs-Git: git://git.debian.org/pkg-nlnetlabs/ldns.git
 
 Package: libldns1
 Section: libs
