=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	ln -sf ../debian examples/
 	ln -sf ../debian drill/
 
+	[ -e $(CURDIR)/libtool ] || ln -s /usr/bin/libtool
 	(cd $(CURDIR); dh_auto_clean;)
 	(cd $(CURDIR)/examples; dh_auto_clean;)
 	(cd $(CURDIR)/drill; dh_auto_clean;)
@@ -31,7 +32,7 @@
 	rm -f config.log
 	rm -f examples/config.sub examples/config.guess examples/config.log
 	rm -f drill/config.sub drill/config.guess drill/config.log
-
+	rm -f libtool
 	rm -f examples/debian drill/debian
 
 override_dh_auto_configure:
