## ldns 1.6.11

=== debian/changelog ===
ldns (1.6.11-1) unstable; urgency=low

  * Conditionally enable GOST algorithm support based on OpenSSL version
  * Make GOST symbols optional to allow easy backporting
  * Imported Upstream version 1.6.11
  * Update patches to the new release
  * Update libldns1 symbols (and make GOST symbols mandatory again, it
    will break ABI if they are missing)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Sep 2011 17:38:20 +0200

ldns (1.6.10-2) unstable; urgency=low

  * Add dependency on libssl-dev to libldns-dev (Closes: #629888)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 11:20:41 +0200
