=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 	       autotools-dev,
-	       libssl-dev (>= 1.0.0),
+	       libssl-dev,
 	       libtool,
 	       libpcap-dev,
 	       doxygen,
@@ -14,7 +14,8 @@
 	       hardening-wrapper,
 	       chrpath,
 	       autoconf,
-	       automake
+	       automake,
+	       pkg-config
 XS-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Section: net
@@ -36,7 +37,10 @@
 Package: libldns-dev
 Section: libdevel
 Architecture: any
-Depends: libldns1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libldns1 (= ${binary:Version}),
+	 ${shlibs:Depends},
+	 ${misc:Depends},
+	 libssl-dev
 Description: ldns library for DNS programming
  The goal of ldns is to simplify DNS programming, it supports recent RFCs
  like the DNSSEC documents, and allows developers to easily create software
