=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 export DEB_BUILD_HARDENING=1 
 
 PYVERS=$(shell pyversions -vs)
+
+OPENSSLVER=$(shell pkg-config --modversion libssl)
+
+BUILD_GOST=$(shell dpkg --compare-versions $(OPENSSLVER) gt 1.0.0 && echo "--enable-gost" || echo "--disable-gost")
 
 %:
 	dh --with quilt --with python-support ${@}
@@ -52,15 +56,15 @@
 	ln -sf ../debian drill/
 
 	autoreconf -fi
-	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath --enable-gost --without-pyldns;
+	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath $(BUILD_GOST) --without-pyldns;
 	$(MAKE) copy-headers;
 	for v in $(PYVERS); do \
-	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath --enable-gost --with-pyldns; \
+	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath $(BUILD_GOST) --with-pyldns; \
 	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
 	done
 
-	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
-	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath --enable-gost;)
+	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
+	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
 
 override_dh_auto_build:
 	DEB_BUILD_HARDENING=1 dh_auto_build;
