## ldns 1.6.12

=== debian/changelog ===
ldns (1.6.12-2) unstable; urgency=low

  [ Robert S. Edmonds ]
  * debian/: add libldns1-dbg debugging symbol package

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Mar 2012 13:56:03 +0200

ldns (1.6.12-1) unstable; urgency=low

  * Fix brace-expansion-in-debhelper-config-file warning
  * Imported Upstream version 1.6.12
  * Update patch for new release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jan 2012 15:34:20 +0100
