=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,8 @@
 	dh --with quilt --with python-support ${@}
 
 override_dh_auto_clean:
-	ln -sf ../debian examples/
-	ln -sf ../debian drill/
-
 	[ -e $(CURDIR)/libtool ] || ln -s /usr/bin/libtool
-	(cd $(CURDIR); dh_auto_clean;)
-	(cd $(CURDIR)/examples; dh_auto_clean;)
-	(cd $(CURDIR)/drill; dh_auto_clean;)
-
+	dh_auto_clean;
 	if test -f debian/config.sub; then \
 		mv debian/config.sub config.sub ; \
 	fi
@@ -52,19 +46,13 @@
 	cp -f /usr/share/misc/config.guess examples/config.guess
 	cp -f /usr/share/misc/config.guess drill/config.guess
 endif
-	ln -sf ../debian examples/
-	ln -sf ../debian drill/
-
 	autoreconf -fi
-	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath $(BUILD_GOST) --without-pyldns;
-	$(MAKE) copy-headers;
+	DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -- --disable-rpath $(BUILD_GOST) --without-pyldns --with-examples --with-drill;
+	$(MAKE) setup-builddir;
 	for v in $(PYVERS); do \
 	  DEB_BUILD_HARDENING=1 PYTHON_VERSION=$$v dh_auto_configure -Bbuild-python$$v -- --disable-rpath $(BUILD_GOST) --with-pyldns; \
-	  dh_auto_build -Bbuild-python$$v -- copy-headers; \
+	  dh_auto_build -Bbuild-python$$v -- setup-builddir; \
 	done
-
-	(cd $(CURDIR)/examples; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
-	(cd $(CURDIR)/drill; autoreconf -fi; DEB_BUILD_HARDENING=1 dh_auto_configure -- --disable-rpath $(BUILD_GOST);)
 
 override_dh_auto_build:
 	DEB_BUILD_HARDENING=1 dh_auto_build;
@@ -79,10 +67,6 @@
 	  DEB_BUILD_HARDENING=1 dh_auto_build -Bbuild-python$$v -- _ldns.la; \
 	done
 
-	(cd $(CURDIR)/examples; DEB_BUILD_HARDENING=1 dh_auto_build;)
-
-	(cd $(CURDIR)/drill; DEB_BUILD_HARDENING=1 dh_auto_build;)
-
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;
 
@@ -93,5 +77,6 @@
 	  chrpath -d $(CURDIR)/debian/tmp$${PYTHON_DIR}/_ldns.so; \
 	done
 
-	(cd $(CURDIR)/examples; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)
-	(cd $(CURDIR)/drill; dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp;)
+override_dh_strip:
+	dh_strip -p libldns1 --dbg-package=libldns1-dbg
+	dh_strip -a --remaining-packages
