## ldns 1.6.13

=== contrib/python/Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 #for development only
 swig: ldns.i
-	swig -python -o ldns_wrapper.c -I../.. ldns.i
-	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/local/include/python2.6 -I. -o ldns_wrapper.o
+	swig -python -py3 -o ldns_wrapper.c -I../.. ldns.i
+	gcc -c ldns_wrapper.c -O9 -fPIC -I../.. -I../../ldns -I/usr/include/python3.1 -I. -o ldns_wrapper.o
 	ld -shared ldns_wrapper.o -L../../.libs -lldns -o _ldns.so
