=== debian/changelog ===
ldns (1.6.13-1~bpo60+1) squeeze-backports; urgency=low

  * Backport for Debian 6.0

 -- Ondřej Surý <ondrej@debian.org>  Sun, 10 Jun 2012 08:56:58 +0200

ldns (1.6.13-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing gost symbols in libldns1 if needed (Closes: #649695)

  [ Ondřej Surý ]
  * Generate symbols file in dh_makeshlibs target
  * Imported Upstream version 1.6.13 (Closes: #674458)
  * Add new symbols introduced in 1.6.13

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 May 2012 09:32:24 +0200
