=== debian/control ===
--- 
+++ 
@@ -33,6 +33,20 @@
  Drafts.
  .
  This package contains shared libraries.
+
+Package: libldns1-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libldns1 (= ${binary:Version}),
+	 ${misc:Depends}
+Description: ldns library for DNS programming (debug symbols)
+ The goal of ldns is to simplify DNS programming, it supports recent RFCs
+ like the DNSSEC documents, and allows developers to easily create software
+ conforming to current RFCs, and experimental software for current Internet
+ Drafts.
+ .
+ This package contains debugging symbols.
 
 Package: libldns-dev
 Section: libdevel
