=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 		mv debian/config.guess config.guess ; \
 	fi
 
+	rm -f debian/libldns1.symbols
 	rm -f config.log
 	rm -f examples/config.sub examples/config.guess examples/config.log
 	rm -f drill/config.sub drill/config.guess drill/config.log
@@ -80,3 +81,12 @@
 override_dh_strip:
 	dh_strip -p libldns1 --dbg-package=libldns1-dbg
 	dh_strip -a --remaining-packages
+
+override_dh_makeshlibs:
+	if dpkg --compare-versions $(OPENSSLVER) gt 1.0.0; \
+	then \
+		cp -f debian/libldns1.symbols.in debian/libldns1.symbols; \
+	else \
+		grep -v gost debian/libldns1.symbols.in > debian/libldns1.symbols; \
+	fi
+	dh_makeshlibs
