## ldns 1.6.16

=== debian/changelog ===
ldns (1.6.16-1~bpo70+1) wheezy; urgency=low

  * Backport for Debian 7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 09:27:25 +0200

ldns (1.6.16-1) unstable; urgency=low

  * New upstream version 1.6.16
  * Update patches for release 1.6.16

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Jul 2013 12:47:56 +0200

ldns (1.6.13-4) unstable; urgency=low

  * Add correct Breaks/Replaces, fix typo and version (Closes: #694468)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Nov 2012 12:05:04 +0100

ldns (1.6.13-3) unstable; urgency=low

  * Also move manual page for ldns-config to libldns-dev package

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Sep 2012 14:36:11 +0200

ldns (1.6.13-2) unstable; urgency=low

  * Convert python-ldns package to dh_python2
  * Move ldns-config to /usr/sbin and to libldns-dev where it belongs

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jul 2012 12:43:03 +0200
