=== debian/changelog ===
ldns (1.6.17-8) unstable; urgency=medium

  [ Robert Edmonds ]
  * Makefile.in: Don't pass CPPFLAGS to swig (Closes: #811230)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Feb 2016 12:21:40 +0100

ldns (1.6.17-7) unstable; urgency=medium

  * Add lintian overrides for slightly errorneous man pages
  * Disable ldns-config distribution; please use pkg-config
  * Add missing dh-python B-D
  * Fix perl error in doxyparse.pl (Closes: #808665)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Dec 2015 11:05:32 +0100

ldns (1.6.17-6) unstable; urgency=medium

  * Update packaging to debhelper compat level 9 and convert libldns to
    MultiArch package
  * Move the package under pkg-dns group umbrella

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Dec 2015 15:24:37 +0100

ldns (1.6.17-5) unstable; urgency=medium

  * Add upstream fix for double free for answers bigger than 4096 bytes
  * Add upstream fix whitespace bug in ldns-read-zone

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Jun 2014 09:45:26 +0200

ldns (1.6.17-4) unstable; urgency=high

  * [CVE-2014-3209]: fix ldns-keygen writing private DNSKEYs with default
    umask (Closes: #746758)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jun 2014 11:40:18 +0200

ldns (1.6.17-3) unstable; urgency=high

  * Add Breaks for dnssec-trigger as well to allow its backports without
    symbol breakage in libldns1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 14:23:43 +0200

ldns (1.6.17-2) unstable; urgency=high

  * Install libldns.pc into correct location (Closes:  #746614)
  * Add Breaks for opendnssec version that uses strlcpy symbol from ldns
    (Closes: #720702)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jun 2014 13:47:22 +0200

ldns (1.6.17-1) unstable; urgency=low

  * New upstream version 1.6.17
  * Use updated watch file
  * Refresh patches for 1.6.17 release
  * Install libldns.pc to /usr/lib/pkg-config (Closes: #696025)
  * Update symbols file that has removed some internal symbols

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Feb 2014 15:22:50 +0100
