=== debian/control ===
Source: ldns
Priority: extra
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: autotools-dev,
               chrpath,
               debhelper (>= 9),
               dh-autoreconf,
	       dh-python,
               doxygen,
               libpcap-dev,
               libssl-dev,
               pkg-config,
               python-all-dev,
               swig
Standards-Version: 3.9.6.1
Section: net
Vcs-Browser: http://git.debian.org/?p=pkg-dns/ldns.git
Vcs-Git: git://git.debian.org/pkg-dns/ldns.git

Package: libldns1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains shared libraries.

Package: libldns1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libldns1 (= ${binary:Version}),
         ${misc:Depends}
Description: ldns library for DNS programming (debug symbols)
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains debugging symbols.

Package: libldns-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldns1 (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains development libraries and headers.

Package: ldnsutils
Section: net
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This package contains various client programs related to DNS that are
 based on top of libldns library and DRILL tool which is similar to dig.
 These tools were designed with DNSSEC in mind and are useful for DNS
 and DNSSEC testing and debugging.

Package: python-ldns
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Multi-Arch: foreign
Description: Python bindings for the ldns library for DNS programming
 The goal of ldns is to simplify DNS programming, it supports recent RFCs
 like the DNSSEC documents, and allows developers to easily create software
 conforming to current RFCs, and experimental software for current Internet
 Drafts.
 .
 This archive contains modules that allow you to use LDNS Library in
 Python programs.
